#include <date.au3>
#include <ScreenCapture.au3>

#cs


KeeKee v3.0
Samuel Murray, 2012

KeeKee takes full-screen screenshots at intervals. The screenshot file names contain the date, time and logged-in user's ID (and in the case of "Window" versions also the window title.

KeeKee_Time = one screenshot every minute, except if the mouse didn't move in that minute.
KeeKee_WindowTitle = one screenshot whenever the window or window's title changes.
KeeKee_WindowHandle = one screenshot whenever the window changes (regardless of window title).

KeeKee_WindowTitle_window = one screenshot whenever the window or window's title changes (not the full screen, but only the window).
KeeKee_WindowHandle_widow = one screenshot whenever the window changes (regardless of window title) (not the full screen, but only the window).

You can use the three KeeKee programs individually or simultaneously.  The screenshots are saved in the same folder as the relevant KeeKee program.  I put the KeeKee programs in separate folders on my D:\ drive and I place shortcuts to them in my Start Menu's Startup folder, so that they run whenever the computer runs.  You can pause or exit KeeKee by clicking its icon in the systray.

I personally combine KeeKee_Time with TimesUpKidz to control my children's computer usage.  I also use KeeKee for myself, to keep track of what I do, so that I can see clearly whether I waste time or do actual work (it can be difficult to get an honest picture of that otherwise).

KeeKee_WindowTitle will take more screenshots than KeeKee_WindowHandle, because the title bar changes often in some programs (e.g. your browser or e-mail program), and every time the title bar changes (e.g. when you read another mail or visit another site), KeeKee_WindowTitle takes another screenshot.

==

There is no virus.  If you don't believe me, install AutoIt and run the AU3 file instead.  If you edit the AU3 file, remember to run the AU3 file and not the EXE file, because the EXE file is not a launcher.

History:
Version 1 contained only KeeKee_Time and did not care about mouse moves.
Version 2 took too many screenshots for the Window version (so I made the Handle version).
Version 3 checks if nconvert.exe is present, and if so, resizes the image by 50%.

#ce

snapdetime() ; first snap when script starts

While 1
$mousewhereone = MouseGetPos ()
$mousewhereonecalc = $mousewhereone[0] & " " & $mousewhereone[1]
Sleep ("60000")
$mousewheretwo = MouseGetPos ()
$mousewheretwocalc = $mousewheretwo[0] & " " & $mousewheretwo[1]
If $mousewhereonecalc <> $mousewheretwocalc Then
snapdetime ()
EndIf
WEnd

#cs
; If you want screenshots every minute regardless of mouse moves,
; replace the above with this:
While 1
Sleep ("60000")
snapdetime ()
WEnd
#ce

Func snapdetime()
$nowdatetime = StringReplace (StringReplace (_NowCalc(), "/", "-"), ":", "-")
_ScreenCapture_SetJPGQuality(75)
_ScreenCapture_Capture($nowdatetime & " " & @UserName & ".jpg", 0, 0, -1, -1, True)

If FileExists (@ScriptDir & "\nconvert.exe") Then
$jpgname = $nowdatetime & " " & @UserName & ".jpg", 0, 0, -1, -1, True
RunWait(@ComSpec & " /c " & 'nconvert.exe -resize 50% 50% -o "[resized50percent] ' & $jpgname & '" "' & $jpgname & '"', "", @SW_HIDE)
FileDelete (@ScriptDir & "\" & $jpgname)
EndIf

EndFunc
